Bug 1005582 - Multiseat: No hardware 3d-acceleration available on seat using intel graphics
Multiseat: No hardware 3d-acceleration available on seat using intel graphics
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1052868
  Show dependency treegraph
 
Reported: 2013-09-08 14:01 EDT by Fabian Köster
Modified: 2015-02-17 12:07 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1052868 (view as bug list)
Environment:
Last Closed: 2015-02-17 12:07:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Udev rules (612 bytes, text/plain)
2013-09-08 14:01 EDT, Fabian Köster
no flags Details
Xorg.0.log (52.33 KB, text/x-log)
2013-09-08 14:16 EDT, Fabian Köster
no flags Details
Xorg.1.log (37.37 KB, text/x-log)
2013-09-08 14:16 EDT, Fabian Köster
no flags Details
gdm :0.log (48.00 KB, text/x-log)
2013-09-08 14:18 EDT, Fabian Köster
no flags Details
gdm :1.log (33.21 KB, text/x-log)
2013-09-08 14:18 EDT, Fabian Köster
no flags Details

  None (edit)
Description Fabian Köster 2013-09-08 14:01:42 EDT
Created attachment 795382 [details]
Udev rules

Description of problem:

I have a multiseat setup with two seats (and two graphic cards):

* Seat0 is connected to Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
* Seat1 is connected to NVIDIA Corporation G96GL [Quadro FX 380]

Everything works perfectly except Seat0 does not have a hardware renderer for OpenGL:

$ glxinfo | grep renderer
libGL error: failed to load driver: i965
libGL error: Try again with LIBGL_DEBUG=verbose for more details.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 3.3, 256 bits)
Version-Release number of selected component (if applicable):


How reproducible:

Use the hardware mentioned above and put the attached udev rules in /etc/udev/rules.d/


Additional info:

Relevant output of "loginctl seat-status seat0":

├─/sys/devices/pci0000:00/0000:00:02.0/drm/card0
│ drm:card0
├─/sys/devices/pci0000:00/0000:00:02.0/graphics/fb0
│ [MASTER] graphics:fb0 "inteldrmfb"

Relevant output of "loginctl seat-status seat1":

├─/sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0/drm/card1
│ drm:card1
├─/sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0/graphics/fb1
│ [MASTER] graphics:fb1 "nouveaufb"
Comment 1 Fabian Köster 2013-09-08 14:04:48 EDT
I am running latest updates for F19.

Some version information:

Kernel is 3.10.10-200.fc19.x86_64
GDM, gnome-shell is 3.8.4
xorg-server is 1.14.2
Comment 2 Fabian Köster 2013-09-08 14:16:02 EDT
Created attachment 795383 [details]
Xorg.0.log
Comment 3 Fabian Köster 2013-09-08 14:16:28 EDT
Created attachment 795384 [details]
Xorg.1.log
Comment 4 Fabian Köster 2013-09-08 14:18:03 EDT
Created attachment 795385 [details]
gdm :0.log
Comment 5 Fabian Köster 2013-09-08 14:18:35 EDT
Created attachment 795386 [details]
gdm :1.log
Comment 6 Fabian Köster 2013-09-19 06:18:59 EDT
I think systemd ist the right component for this bug.
Comment 7 Lennart Poettering 2013-09-29 14:36:37 EDT
SO, I got this right, OpenGL works correctly for nuveau on seat1 but not for the intel driver on seat0?

Reasigning to the intel driver then.
Comment 8 Fabian Köster 2013-09-29 15:16:25 EDT
(In reply to Lennart Poettering from comment #7)
> SO, I got this right, OpenGL works correctly for nuveau on seat1 but not for
> the intel driver on seat0?

That's right. But the intel driver works correctly if I do not use a multiseat-setup. 

> Reasigning to the intel driver then.

I am not sure which component(s) are responsible for this problem, but maybe the intel guys can enlighten the situation...
Comment 9 Fedora End Of Life 2015-01-09 14:46:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 12:07:20 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.